/*
  MCP3201.h - Library for reading 12bit Data from a MCP3201.
  Created by Stephen Leahey <stephenleahey@gmail.com>
  Sample code provided by Arduino Forum member halabut
*/

#ifndef MCP3201_h
#define MCP3201_h

#include "WProgram.h"

class MCP3201
{
  public:
    MCP3201(int CS_pin, int DI_pin, int SCK_pin);
    int readMcp3201();
  private:
    int _CS_pin;
    int _DI_pin;
    int _SCK_pin;
};

#endif
